LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XResultSetMetaDataSupplier Interface Referencepublished

provides access to the meta data of a result set. More...

`import"XResultSetMetaDataSupplier.idl";`

Inheritance diagram for XResultSetMetaDataSupplier:

## Public Member Functions
XResultSetMetaData | getMetaData () raises (SQLException)
| retrieves the number, types, and properties of a ResultSet's columns. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the meta data of a result set.

The number, types, and properties of a ResultSet's columns are provided by the com::sun::star::sdbc::XResultSetMetaData interface returned by the com::sun::star::sdbc::XResultSetMetaDataSupplier::getMetaData() method.

## Member Function Documentation

## ◆ getMetaData()

XResultSetMetaData getMetaData | ( |  | ) |
raises | ( | SQLException
| ) |  |

retrieves the number, types, and properties of a ResultSet's columns.

Returns
  the meta data of the ResultSet.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XResultSetMetaDataSupplier.idl